reduceM {PCpheno} | R Documentation

## Resize a matrix

### Description

Resize a matrix to the number of rows commun to a vector.

### Usage

    reduceM(x, mat, threshold=0)

### Arguments

`x` | Character or numeric vector.
`mat` | Matrix sharing rownames with the supplied vextor x.
`threshold` | Threshold upon column. Only the columns with a `colSums` above the threshold are kept.

### Value

Resized matrix.

### Author(s)

N. LeMeur

### Examples

    mat <- matrix(c(1:25), nrow = 5, ncol = 5, dimnames = list(c(LETTERS[1:5]), c(1:5)))
    xx <- LETTERS[c(2, 4, 5)]
    reduceM(xx, mat)

[Package PCpheno version 1.6.0 Index]